# Email/username authentication

Authenticates using email address or username with password. Returns a session token for authenticated requests. The system automatically detects whether the login field is an email (contains @) or username. Updates last sign-in timestamp on successful authentication.

Endpoint: POST /api/v1/accounts/authenticate/email
Version: 1.0
Security: 

## Request fields (application/json):

  - `login` (string, required)
    Email or username
    Example: "john_smith@gmail.com or jonh_smith"

  - `password` (string, required)
    Account's password
    Example: "PassW0rd!"

## Response 200 fields (application/json):

  - `sessionKey` (string, required)
    Persistent Token

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


## Response 400 fields
